## golang-github-nginxinc-nginx-plus-go-client 0.9.0

=== Makefile ===
NGINX_PLUS_VERSION=r25
DOCKER_NETWORK?=test
DOCKER_NETWORK_ALIAS=nginx-plus-test
DOCKER_NGINX_PLUS?=nginx-plus
DOCKER_NGINX_PLUS_HELPER?=nginx-plus-helper

GOLANG_CONTAINER=golang:1.17

export TEST_API_ENDPOINT=http://$(DOCKER_NGINX_PLUS):8080/api
export TEST_API_ENDPOINT_OF_HELPER=http://$(DOCKER_NGINX_PLUS_HELPER):8080/api
export TEST_UNAVAILABLE_STREAM_ADDRESS=$(DOCKER_NGINX_PLUS):8081

test: run-nginx-plus test-run configure-no-stream-block test-run-no-stream-block clean

lint:
	docker run --pull always --rm -v $(shell pwd):/nginx-plus-go-client -w /nginx-plus-go-client -v $(shell go env GOCACHE):/cache/go -e GOCACHE=/cache/go -e GOLANGCI_LINT_CACHE=/cache/go -v $(shell go env GOPATH)/pkg:/go/pkg golangci/golangci-lint:latest golangci-lint --color always run

docker-build:
	docker build --secret id=nginx-repo.crt,src=docker/nginx-repo.crt --secret id=nginx-repo.key,src=docker/nginx-repo.key --build-arg NGINX_PLUS_VERSION=$(NGINX_PLUS_VERSION) -t nginx-plus:$(NGINX_PLUS_VERSION) docker

run-nginx-plus:
	docker network create --driver bridge $(DOCKER_NETWORK)
	docker run --network=$(DOCKER_NETWORK) -d --name $(DOCKER_NGINX_PLUS) --network-alias=$(DOCKER_NETWORK_ALIAS) --rm -p 8080:8080 -p 8081:8081 nginx-plus:$(NGINX_PLUS_VERSION)
	docker run --network=$(DOCKER_NETWORK) -d --name $(DOCKER_NGINX_PLUS_HELPER) --network-alias=$(DOCKER_NETWORK_ALIAS) --rm -p 8090:8080 -p 8091:8081 nginx-plus:$(NGINX_PLUS_VERSION)

test-run:
	docker run --rm \
	--network=$(DOCKER_NETWORK) \
	-e TEST_API_ENDPOINT \
	-e TEST_API_ENDPOINT_OF_HELPER \
	-e TEST_UNAVAILABLE_STREAM_ADDRESS \
	-v $(shell pwd):/go/src/github.com/nginxinc/nginx-plus-go-client \
	-w /go/src/github.com/nginxinc/nginx-plus-go-client \
	$(GOLANG_CONTAINER) /bin/sh -c "go test client/*; go clean -testcache; go test tests/client_test.go"

configure-no-stream-block:
	docker cp docker/nginx_no_stream.conf $(DOCKER_NGINX_PLUS):/etc/nginx/nginx.conf
	docker exec $(DOCKER_NGINX_PLUS) nginx -s reload

test-run-no-stream-block: configure-no-stream-block
	docker run --rm \
	--network=$(DOCKER_NETWORK) \
	-e TEST_API_ENDPOINT \
	-e TEST_API_ENDPOINT_OF_HELPER \
	-e TEST_UNAVAILABLE_STREAM_ADDRESS \
	-v $(shell pwd):/go/src/github.com/nginxinc/nginx-plus-go-client \
	-w /go/src/github.com/nginxinc/nginx-plus-go-client \
	$(GOLANG_CONTAINER) /bin/sh -c "go clean -testcache; go test tests/client_no_stream_test.go"

clean:
	-docker kill $(DOCKER_NGINX_PLUS)
	-docker kill $(DOCKER_NGINX_PLUS_HELPER)
	-docker network rm $(DOCKER_NETWORK)

=== debian/changelog ===
golang-github-nginxinc-nginx-plus-go-client (0.9.0-2) unstable; urgency=medium

  * Fix comments and style tests excludes.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 13 Dec 2021 18:04:22 +0100

golang-github-nginxinc-nginx-plus-go-client (0.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1001012)

 -- Guillem Jover <gjover@sipwise.com>  Thu, 02 Dec 2021 19:59:21 +0100

=== debian/control ===
Source: golang-github-nginxinc-nginx-plus-go-client
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Guillem Jover <gjover@sipwise.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client.git
Homepage: https://github.com/nginxinc/nginx-plus-go-client
XS-Go-Import-Path: github.com/nginxinc/nginx-plus-go-client

Package: golang-github-nginxinc-nginx-plus-go-client-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: client for NGINX Plus API for Go (library)
 This project includes a client library for working with NGINX Plus API.
 .
 This client works against version 5 of NGINX Plus API. Version 5 was
 introduced in NGINX Plus R19.

## golang-github-nginxinc-nginx-plus-go-client 0.10.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-NGINX_PLUS_VERSION=r25
+NGINX_PLUS_VERSION=r27
 DOCKER_NETWORK?=test
 DOCKER_NETWORK_ALIAS=nginx-plus-test
 DOCKER_NGINX_PLUS?=nginx-plus
 DOCKER_NGINX_PLUS_HELPER?=nginx-plus-helper
 
-GOLANG_CONTAINER=golang:1.17
+GOLANG_CONTAINER=golang:1.18
 
 export TEST_API_ENDPOINT=http://$(DOCKER_NGINX_PLUS):8080/api
 export TEST_API_ENDPOINT_OF_HELPER=http://$(DOCKER_NGINX_PLUS_HELPER):8080/api

=== debian/changelog ===
golang-github-nginxinc-nginx-plus-go-client (0.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.1 (no changes)
  * d/control: update long description

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 24 Oct 2022 23:10:16 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-sequence-golang,
  golang-any,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client.git
 Homepage: https://github.com/nginxinc/nginx-plus-go-client
@@ -24,5 +24,4 @@
 Description: client for NGINX Plus API for Go (library)
  This project includes a client library for working with NGINX Plus API.
  .
- This client works against version 5 of NGINX Plus API. Version 5 was
- introduced in NGINX Plus R19.
+ This client works against versions 4-8 of the NGINX Plus API.

## golang-github-nginxinc-nginx-plus-go-client 1.2.0

=== Makefile ===
test: unit-test test-integration test-integration-no-stream-block clean

lint:
	docker run --pull always --rm -v $(shell pwd):/nginx-plus-go-client -w /nginx-plus-go-client -v $(shell go env GOCACHE):/cache/go -e GOCACHE=/cache/go -e GOLANGCI_LINT_CACHE=/cache/go -v $(shell go env GOPATH)/pkg:/go/pkg golangci/golangci-lint:latest golangci-lint --color always run

unit-test:
	go test -v -shuffle=on -race client/*.go

test-integration:
	docker compose up -d --build test
	docker compose logs -f test

test-integration-no-stream-block:
	docker compose up -d --build test-no-stream
	docker compose logs -f test-no-stream

clean:
	docker compose down --remove-orphans

=== debian/changelog ===
golang-github-nginxinc-nginx-plus-go-client (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2 (no changes)
  * d/control: add Breaks due to API change

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 14 Dec 2023 00:09:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-sequence-golang,
  golang-any,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client.git
 Homepage: https://github.com/nginxinc/nginx-plus-go-client
@@ -21,6 +21,8 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+Breaks:
+ prometheus-nginx-exporter (<< 1.0.0)
 Description: client for NGINX Plus API for Go (library)
  This project includes a client library for working with NGINX Plus API.
  .

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/nginxinc/nginx-plus-go-client/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-nginxinc-nginx-plus-go-client 1.2.2

=== debian/changelog ===
golang-github-nginxinc-nginx-plus-go-client (1.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 02 Aug 2024 18:58:26 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  dh-sequence-golang,
  golang-any,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client.git
 Homepage: https://github.com/nginxinc/nginx-plus-go-client

## golang-github-nginxinc-nginx-plus-go-client 1.3.0

=== debian/changelog ===
golang-github-nginxinc-nginx-plus-go-client (1.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 20 Sep 2024 11:48:38 +0000

## golang-github-nginxinc-nginx-plus-go-client 2.1.0

=== Makefile ===
# renovate: datasource=github-tags depName=golangci/golangci-lint
GOLANGCI_LINT_VERSION = v1.62.0

test: unit-test test-integration test-integration-no-stream-block clean

lint:
	go run github.com/golangci/golangci-lint/cmd/golangci-lint@$(GOLANGCI_LINT_VERSION) run --fix

unit-test:
	go test -v -shuffle=on -race client/*.go

test-integration:
	docker compose up -d --build test
	docker compose logs -f test

test-integration-no-stream-block:
	docker compose up -d --build test-no-stream
	docker compose logs -f test-no-stream

clean:
	docker compose down --remove-orphans

=== debian/changelog ===
golang-github-nginxinc-nginx-plus-go-client (2.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add new dependency golang-golang-x-sync-dev
  * Update Breaks prometheus-nginx-exporter constraint

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 05 Dec 2024 22:01:37 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-any,
+ golang-golang-x-sync-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client
@@ -20,10 +21,11 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ golang-golang-x-sync-dev,
  ${misc:Depends},
 Breaks:
- prometheus-nginx-exporter (<< 1.0.0)
+ prometheus-nginx-exporter (<< 1.4.0),
 Description: client for NGINX Plus API for Go (library)
  This project includes a client library for working with NGINX Plus API.
  .
- This client works against versions 4-8 of the NGINX Plus API.
+ This client works against versions 4-9 of the NGINX Plus API.

## golang-github-nginxinc-nginx-plus-go-client 2.2.0

=== debian/changelog ===
golang-github-nginxinc-nginx-plus-go-client (2.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update upstream github URLs (github.com/nginxinc -> github.com/nginx)
  * Update Breaks prometheus-nginx-exporter constraint due to import path
    change

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 13 Jan 2025 12:17:06 +0000

## golang-github-nginxinc-nginx-plus-go-client 2.3.0

=== debian/changelog ===
golang-github-nginxinc-nginx-plus-go-client (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 03 Feb 2025 19:53:33 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client.git
-Homepage: https://github.com/nginxinc/nginx-plus-go-client
-XS-Go-Import-Path: github.com/nginxinc/nginx-plus-go-client
+Homepage: https://github.com/nginx/nginx-plus-go-client
+XS-Go-Import-Path: github.com/nginx/nginx-plus-go-client
 
 Package: golang-github-nginxinc-nginx-plus-go-client-dev
 Architecture: all
@@ -24,7 +24,7 @@
  golang-golang-x-sync-dev,
  ${misc:Depends},
 Breaks:
- prometheus-nginx-exporter (<< 1.4.0),
+ prometheus-nginx-exporter (<< 1.4.1),
 Description: client for NGINX Plus API for Go (library)
  This project includes a client library for working with NGINX Plus API.
  .

=== debian/rules ===
#!/usr/bin/make -f

# The integration tests require a running nginx instance.
export DH_GOLANG_EXCLUDES := \
	tests \
	# EOL

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/nginx/nginx-plus-go-client/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-nginxinc-nginx-plus-go-client 2.4.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # renovate: datasource=github-tags depName=golangci/golangci-lint
-GOLANGCI_LINT_VERSION = v1.62.0
+GOLANGCI_LINT_VERSION = v2.1.5
 
 test: unit-test test-integration test-integration-no-stream-block clean
 
 lint:
-	go run github.com/golangci/golangci-lint/cmd/golangci-lint@$(GOLANGCI_LINT_VERSION) run --fix
+	go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@$(GOLANGCI_LINT_VERSION) run --fix
 
 unit-test:
 	go test -v -shuffle=on -race client/*.go

=== debian/changelog ===
golang-github-nginxinc-nginx-plus-go-client (2.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update d/gitlab-ci.yml and d/watch from dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Aug 2025 16:10:57 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  golang-any,
  golang-golang-x-sync-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nginxinc-nginx-plus-go-client.git
 Homepage: https://github.com/nginx/nginx-plus-go-client

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/nginx/nginx-plus-go-client/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-nginxinc-nginx-plus-go-client 3.0.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # renovate: datasource=github-tags depName=golangci/golangci-lint
-GOLANGCI_LINT_VERSION = v2.1.5
+GOLANGCI_LINT_VERSION = v2.5.0
 
 test: unit-test test-integration test-integration-no-stream-block clean

=== debian/changelog ===
golang-github-nginxinc-nginx-plus-go-client (3.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Breaks prometheus-nginx-exporter constraint (<< 1.5.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 30 Dec 2025 11:39:29 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  golang-golang-x-sync-dev,
  ${misc:Depends},
 Breaks:
- prometheus-nginx-exporter (<< 1.4.1),
+ prometheus-nginx-exporter (<< 1.5.0),
 Description: client for NGINX Plus API for Go (library)
  This project includes a client library for working with NGINX Plus API.
  .
